Subject: Re: perl 5.8.1: perldoc perl fails
From: "Gerrit P. Haase" <[email-masked]>
To: "Joerg R. Schaible" <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Dec 2002 00:49:01 +0100

Hallo Joerg,

Am Freitag, 20. Dezember 2002 um 17:55 schriebst du:

> Hi Perl maintainer,

> using the new experimental Perl 5.8.1 release, the command

> $ perldoc perl
> Can't open /usr/bin/perl: No such file or directory at /bin/perldoc line
> 206.

perldoc perl.pod works well

> fails to present the Perl manual overview. Calling the manual pages
> directly, anything works well:

> perldoc perlfun

> It seems that perldoc does not find the /usr/lib/perl5/5.8.1/pods/perl.pod,
> because it matches somehow /usr/bin/perl first.

Yes,  please fix it :-)

I just figured that calling: perldoc perl.pod works well.
I tried to understand what happens in the perldoc script
and I have no idea why it doesn't work.  And most
interesting is that it works with perl 5.6.1.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/